//
// Created by Ari Trachtenberg on 9/3/24.
//

// CHAPTER 3

/**
 * @input  read in four integers on one line.
 * @output "in order" if the integers are in strictly
 * ascending or descending order.  Otherwise, output
 * "not in order"
 *
 * @example:
 * 1 2 3 4
 * in order
 */
void labZero_pThree();

/**
 * @input  read in four pairs of integral x y coordinates, one per line.
 * @output outputs the most specific description of the
 *    four points among the following choices:
 *    square, rectangle, trapezoid, rhombus, none of these
 *
 * @example 1
 * 0 0
 * 0 1
 * 1 0
 * 1 1
 * square
 *
 * @example 2
 * 0 0
 * 0 1
 * 2 0
 * 1 1
 * trapezoid
 */
void labZero_pFour();

/**
 * @input  read in a positive integer.
 * @output The Roman numeral corresponding to the input, using the
 *    rules described in problem P3.13 of the book.
 *
 * @example 0
 * 14
 * XIV
 *
 * @example 1
 * 1978
 * MCMLXXVIII
 */
void labZero_pFive();